Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452595 - Problem with SATA/IDE on Abit AN52
Summary: Problem with SATA/IDE on Abit AN52
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 23:13 UTC by Kamil Pawlowski
Modified: 2008-07-04 03:40 UTC (History)
0 users

Fixed In Version: 2.6.25.9-76.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-02 06:34:48 UTC


Attachments (Terms of Use)

Description Kamil Pawlowski 2008-06-23 23:13:27 UTC
I have Abit AN52 with Athlon X2 6000. To even start system I must use pci=nomsi
kernel argument. 

When system boot: 

------------[ cut here ]------------
WARNING: at drivers/ata/ahci.c:645 ahci_enable_ahci+0x2b/0x2d [ahci]() (Not tainted)
Modules linked in: ahci(+) libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd
ohci_hcd ehci_hcd
Pid: 484, comm: modprobe Not tainted 2.6.25.6-55.fc9.x86_64 #1

Call Trace:
 [<ffffffff81033565>] warn_on_slowpath+0x60/0x91
 [<ffffffff811fd9d9>] ? pci_conf1_read+0xbb/0xc9
 [<ffffffff811fece6>] ? raw_pci_read+0x1a/0x32
 [<ffffffff811aa9c3>] ? devres_find+0x8a/0xa7
 [<ffffffff81133f58>] ? pcim_iomap_release+0x0/0x3a
 [<ffffffff880a7506>] :ahci:ahci_enable_ahci+0x2b/0x2d
 [<ffffffff880a8686>] :ahci:ahci_init_one+0x18a/0x930
 [<ffffffff810ed784>] ? sysfs_addrm_finish+0x20/0x205
 [<ffffffff810ed306>] ? sysfs_find_dirent+0x1c/0x31
 [<ffffffff8112bac3>] ? ida_get_new_above+0xf4/0x1a5
 [<ffffffff810ed128>] ? sysfs_ilookup_test+0x0/0x14
 [<ffffffff8102ae37>] ? task_rq_lock+0x3d/0x73
 [<ffffffff8113c4c9>] pci_device_probe+0xc7/0x11e
 [<ffffffff811a847d>] driver_probe_device+0xc0/0x16e
 [<ffffffff811a85be>] __driver_attach+0x93/0xd3
 [<ffffffff811a852b>] ? __driver_attach+0x0/0xd3
 [<ffffffff811a7c9a>] bus_for_each_dev+0x4f/0x89
 [<ffffffff8112c39a>] ? kobject_get+0x1a/0x22
 [<ffffffff811a82c8>] driver_attach+0x1c/0x1e
 [<ffffffff811a7511>] bus_add_driver+0xb7/0x200
 [<ffffffff811a8787>] driver_register+0x5e/0xde
 [<ffffffff8113c740>] __pci_register_driver+0x53/0x8b
 [<ffffffff880b101e>] :ahci:ahci_init+0x1e/0x20
 [<ffffffff8105666f>] sys_init_module+0x193f/0x1a87
 [<ffffffff810a3cec>] ? do_sync_read+0xe7/0x12d
 [<ffffffff810a4731>] ? vfs_read+0xab/0x154
 [<ffffffff8100bedb>] system_call_after_swapgs+0x7b/0x80

---[ end trace bd444b3d06d94769 ]---


After this my CD drive sometimes hang for few seconds with repeating theese
messages:

ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata5.00: cmd a0/01:00:00:80:dc/00:00:00:00:00/a0 tag 0 dma 56448 in
         cdb be 00 00 00 d9 ec 00 00  18 f8 00 00 00 00 00 00
         res 40/00:02:00:0c:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata5.00: status: { DRDY }
ata5: port is slow to respond, please be patient (Status 0xd0)
ata5: device not ready (errno=-16), forcing hardreset
ata5: soft resetting link
ata5: nv_mode_filter: 0x701f&0x701f->0x701f, BIOS=0x7000 (0xc0000000)
ACPI=0x701f (60:600:0x13)
ata5.00: configured for UDMA/33
ata5: EH complete
ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata5.00: cmd a0/01:00:00:40:6e/00:00:00:00:00/a0 tag 0 dma 28224 in
         cdb be 00 00 00 d9 ec 00 00  0c f8 00 00 00 00 00 00
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata5.00: status: { DRDY }
ata5: port is slow to respond, please be patient (Status 0xc0)
ata5: device not ready (errno=-16), forcing hardreset
ata5: soft resetting link
ata5: nv_mode_filter: 0x701f&0x701f->0x701f, BIOS=0x7000 (0xc0000000)
ACPI=0x701f (60:600:0x13)
ata5.00: configured for UDMA/33
ata5: EH complete

(...)

Comment 1 Kamil Pawlowski 2008-06-23 23:16:39 UTC
PS. Previous I write "cd", of course I mean DVD-RW drive

# hdparm /dev/cdrom 
/dev/cdrom:
 IO_support    =  0 (default) 
16-bit)
 HDIO_GET_UNMASKINTR failed: Inappropriate ioctl for device
 HDIO_GET_DMA failed: Inappropriate ioctl for device
 HDIO_GET_KEEPSETTINGS failed: Inappropriate ioctl for device
 readonly      =  0 (off)
 readahead     = 256 (on)
 HDIO_GETGEO failed: Inappropriate ioctl for device

This is not good, it look like my drive work like DMA33 with no UDMA

Comment 2 Chuck Ebbert 2008-06-24 03:28:26 UTC
(In reply to comment #0)
> I have Abit AN52 with Athlon X2 6000. To even start system I must use pci=nomsi
> kernel argument. 
> 

MSI is disabled by default at boot in Fedora 9.

> When system boot: 
> 
> ------------[ cut here ]------------
> WARNING: at drivers/ata/ahci.c:645 ahci_enable_ahci+0x2b/0x2d [ahci]() (Not
tainted)


Does the drive work after that?

It is using UDMA/33, that is indeed UDMA and probably as fast as it will go.
hdparm does not know how to set or get DMA settings for libata; it will use the
fastest DMA setting the drive is capable of unless overridden at driver load time.


Comment 3 Chuck Ebbert 2008-06-24 03:32:09 UTC
The problem should be fixed by commit 15fe982e429e0e6b7466719acb6cfd9dbfe47f0c
in 2.6.26: "ahci: retry enabling AHCI a few times before spitting out WARN_ON()"


Comment 4 Chuck Ebbert 2008-06-24 05:39:14 UTC
commited in 2.6.25.8-70

Comment 5 Fedora Update System 2008-06-30 16:33:50 UTC
kernel-2.6.25.9-76.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-07-01 05:28:16 UTC
kernel-2.6.25.9-76.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5893

Comment 7 Fedora Update System 2008-07-02 06:34:30 UTC
kernel-2.6.25.9-76.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-07-04 03:40:07 UTC
kernel-2.6.25.9-76.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.